%define name zz_fermi-logos
%define version 9.0.1
%define release 1
%define fermipath /usr/share/pixmaps/fermi
%define redpath /usr/share/pixmaps/redhat

Summary: Icons, Logos, and startup screens for Fermi
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Base

%description
This rpms is a collection of the various icons, logos, and startup screens that
have been made for fermilab.  It also includes some other modifications
to make Fermi Linux more fermized.

%post
mv %{redpath}/mini-shadowman-round.xpm %{redpath}/mini-shadowman-round.xpm.original
mv %{redpath}/mini-shadowman.xpm %{redpath}/mini-shadowman.xpm.original
mv %{redpath}/redhat-292.png %{redpath}/redhat-292.png.original
mv %{redpath}/redhat-292.xbm %{redpath}/redhat-292.xbm.original
mv %{redpath}/redhat-emboss.png %{redpath}/redhat-emboss.png.original
mv %{redpath}/redhat-transparent.png %{redpath}/redhat-transparent.png.original
mv %{redpath}/redhat.tif %{redpath}/redhat.tif.original
mv %{redpath}/shadowman-200.png %{redpath}/shadowman-200.png.original
mv %{redpath}/shadowman-32.png %{redpath}/shadowman-32.png.original
mv %{redpath}/shadowman-32.xpm %{redpath}/shadowman-32.xpm.original
mv %{redpath}/shadowman-48.png %{redpath}/shadowman-48.png.original
mv %{redpath}/shadowman-48.xpm %{redpath}/shadowman-48.xpm.original
mv %{redpath}/shadowman-64.png %{redpath}/shadowman-64.png.original
mv %{redpath}/shadowman-64.xpm %{redpath}/shadowman-64.xpm.original
mv %{redpath}/shadowman-mini.png %{redpath}/shadowman-mini.png.original
mv %{redpath}/shadowman-mini.xpm %{redpath}/shadowman-mini.xpm.original
mv %{redpath}/shadowman-round-32.xpm %{redpath}/shadowman-round-32.xpm.original
mv %{redpath}/shadowman-round-48.png %{redpath}/shadowman-round-48.png.original
mv %{redpath}/shadowman-round-48.xpm %{redpath}/shadowman-round-48.xpm.original
mv %{redpath}/shadowman-round-mini.xpm %{redpath}/shadowman-round-mini.xpm.original

ln -fs %{fermipath}/fermitux-round-mini.xpm %{redpath}/mini-shadowman-round.xpm
ln -fs %{fermipath}/fermitux-mini.xpm %{redpath}/mini-shadowman.xpm
ln -fs %{fermipath}/fermi-292.png %{redpath}/redhat-292.png
ln -fs %{fermipath}/fermi-292.xbm %{redpath}/redhat-292.xbm
ln -fs %{fermipath}/fermi-emboss.png %{redpath}/redhat-emboss.png
ln -fs %{fermipath}/fermi-transparent.png %{redpath}/redhat-transparent.png
ln -fs %{fermipath}/fermi.tif %{redpath}/redhat.tif
ln -fs %{fermipath}/fermitux-200.png %{redpath}/shadowman-200.png
ln -fs %{fermipath}/fermitux-32.png %{redpath}/shadowman-32.png
ln -fs %{fermipath}/fermitux-32.xpm %{redpath}/shadowman-32.xpm
ln -fs %{fermipath}/fermitux-48.png %{redpath}/shadowman-48.png
ln -fs %{fermipath}/fermitux-48.xpm %{redpath}/shadowman-48.xpm
ln -fs %{fermipath}/fermitux-64.png %{redpath}/shadowman-64.png
ln -fs %{fermipath}/fermitux-64.xpm %{redpath}/shadowman-64.xpm
ln -fs %{fermipath}/fermitux-mini.png %{redpath}/shadowman-mini.png
ln -fs %{fermipath}/fermitux-mini.xpm %{redpath}/shadowman-mini.xpm
ln -fs %{fermipath}/fermitux-round-32.xpm %{redpath}/shadowman-round-32.xpm
ln -fs %{fermipath}/fermitux-round-48.png %{redpath}/shadowman-round-48.png
ln -fs %{fermipath}/fermitux-round-48.xpm %{redpath}/shadowman-round-48.xpm
ln -fs %{fermipath}/fermitux-round-mini.xpm %{redpath}/shadowman-round-mini.xpm

#kde splash screen
#previous versions messed things up, fixing that.

if [ -d /usr/share/apps/ksplash/pics ] ; then
	if ! [ -d /usr/share/apps/ksplash/original.pics ] ; then
		/bin/cp -rf /usr/share/apps/ksplash/pics /usr/share/apps/ksplash/original.pics
	fi
	if [ -L /usr/share/apps/ksplash/pics ] ; then
		rm -f /usr/share/apps/ksplash/pics
		mkdir /usr/share/apps/ksplash/pics
	fi
    /bin/cp -rf %{fermipath}/ksplash/* /usr/share/apps/ksplash/pics/
fi

#gnome splash screen
if [ -f /usr/share/pixmaps/gnome-redhat-splash.png ] ; then
	if ! [ -f /usr/share/pixmaps/original.gnome-redhat-splash.png ] ; then
		mv /usr/share/pixmaps/gnome-redhat-splash.png /usr/share/pixmaps/original.gnome-redhat-splash.png
	fi
fi
ln -s %{fermipath}/fermi_splash.png /usr/share/pixmaps/gnome-redhat-splash.png 
#lilo boot message
if [ -f /boot/message ] ; then
	if ! [ -f /boot/original.message ] ; then
		mv /boot/message /boot/original.message
	fi
fi
/bin/cp -f %{fermipath}/message.pcx /boot/message
#grub boot screen
if [ -f /boot/grub/splash.xpm.gz ] ; then
	if ! [ -f /boot/grub/original.splash.xpm.gz ] ; then
		mv /boot/grub/splash.xpm.gz /boot/grub/original.splash.xpm.gz
	fi
fi
/bin/cp -f %{fermipath}/splash.xpm.gz /boot/grub/splash.xpm.gz
#Clear out redhat desktop icon
if [ -f /usr/share/apps/kdesktop/DesktopLinks/www.redhat.com ] ; then
	rm -f /usr/share/apps/kdesktop/DesktopLinks/www.redhat.com
fi
#gdm startup screen
if ! [ -d /usr/share/gdm/themes/ ] ; then
	mkdir -p /usr/share/gdm/themes/
fi
ln -s %{fermipath}/purplecircles /usr/share/gdm/themes/

%files
%{fermipath}/
